# OsiBiLinearBranchingObject Class Reference

Branching object for BiLinear objects. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiBiLinearBranchingObject:
[legend]
Collaboration diagram for OsiBiLinearBranchingObject:
[legend]

List of all members.

## Public Member Functions
| OsiBiLinearBranchingObject ()
| OsiBiLinearBranchingObject (OsiSolverInterface *solver, const OsiBiLinear *originalObject, int way, double separator, int chosen)
| OsiBiLinearBranchingObject (const OsiBiLinearBranchingObject &)
OsiBiLinearBranchingObject & | operator= (const OsiBiLinearBranchingObject &rhs)
virtual OsiBranchingObject * | clone () const
| Clone.
virtual | ~OsiBiLinearBranchingObject ()
virtual double | branch (OsiSolverInterface *solver)
| Does next branch and updates state.
virtual void | print (const OsiSolverInterface *solver=NULL)
| Print something about branch - only if log level high.
virtual bool | boundBranch () const
| Return true if branch should only bound variables.
## Private Attributes
short | chosen_
| data 1 means branch on x, 2 branch on y

## Detailed Description

Branching object for BiLinear objects.

Definition at line 991 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiBiLinearBranchingObject::OsiBiLinearBranchingObject | ( |  | ) |

OsiBiLinearBranchingObject::OsiBiLinearBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiBiLinear * | originalObject,
|  | int | way,
|  | double | separator,
|  | int | chosen |
| ) |  |  |

OsiBiLinearBranchingObject::OsiBiLinearBranchingObject | ( | const OsiBiLinearBranchingObject & |  | ) |

virtual OsiBiLinearBranchingObject::~OsiBiLinearBranchingObject | ( |  | ) | `[virtual]`

## Member Function Documentation

OsiBiLinearBranchingObject& OsiBiLinearBranchingObject::operator= | ( | const OsiBiLinearBranchingObject & | rhs | ) |

Reimplemented from OsiTwoWayBranchingObject.

virtual OsiBranchingObject* OsiBiLinearBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements OsiBranchingObject.

virtual double OsiBiLinearBranchingObject::branch | ( | OsiSolverInterface * | solver | ) | `[virtual]`

Does next branch and updates state.

Implements OsiTwoWayBranchingObject.

virtual void OsiBiLinearBranchingObject::print | ( | const OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Print something about branch - only if log level high.

virtual bool OsiBiLinearBranchingObject::boundBranch | ( |  | ) | const`[virtual]`

Return true if branch should only bound variables.

Reimplemented from OsiBranchingObject.

## Member Data Documentation

short OsiBiLinearBranchingObject::chosen_`[private]`

data 1 means branch on x, 2 branch on y

Definition at line 1029 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines